Page MenuHomePhabricator

Make edit button more visible
Closed, InvalidPublic

Description

Bigger edit button

A much bigger honkin' EDIT button
Note (from Danny): When I was at Wikia, we turned the edit button green, and guess what? People clicked on it more. What was it before? Or did it not stand out at all? Changing the MW one to primary (blue) would be nice. Started out in the Monobook/Vector spot at the top of the page. We moved it to be next to the title, so that it was more clear that the button was connected to the text, made it a button rather than a link, and gave it a color.
It's now next to the section title on regular MediaWiki (including Wikipedia) too. (Yes -- and Wikia data showed that anons/new people are way more likely to click on section edit. But the main Edit link for the whole page is top right.
It is different on some language versions, tried on others (some Wikipedias have the Edit text in bold, for example).
Probably local CSS
Maybe move the page actions more near the title (like Winter does it http://unicorn.wmflabs.org/winter/)?

Alleged challenges:
People scream when you change (that sentence could probably end at "change" to be fair) (it was)
This was asked by the community many years ago, ignored by WMF. Implemented on fr.wiki, pl.wiki, it.wiki etc. (bold/blue button). Removed by WMF in 2010 with Vector.
Community fear of edit surge
So... Some people actually don't want more people editing?
Yep. We should ignore them (or, at least, refuse to accept the concept that we don't want more editors)
Concern about poor information/abuse/too much info to correct (better abuse mitigation tools needed)
We also need to make the "quality control" systems easier to learn and better supported, so new editors can also become new spam-fighters / mistake fixers -- i.e., the history pages, user contributions
+1
I actually think the existing abuse mitigation tools are pretty good. I don't think that's the main problem.(rdicerb cares about this and wants to learn more - contact later!)
You probably mean some of the tools /you/ use at en.wp work for /you/?
What tools are we thinking about - are they officially supported etc. or custom wiki-specific gadgets or third party desktop apps?
Clear, efficient way of communicating editorial norms so that people don't accidentally screw things up (this is a thing that is applicable for ANY wiki, not just convoluted bureaucracies like the English Wikipedia)
Everyone screws up at first. The trick is giving them constructive feedback so they come back and improve over time.
Everyone screws up at first, but the costs for screwing up are higher now than when I (James Hare) started editing in 2004. As I explain to people, the people patroling edits have (choose?) to make snap decisions in under two seconds. No one does a thorough job.
There are ~2 edits every second.{{cn}} There's a lot to work through. Border patrol work also feels like a game (and is sometimes deliberately designed that way), so people are looking to rack up points rather than do their due diligence.
Instead of deleting unreferenced articles by new users, automatically move them to a draft space with suggestions for improvement
Show new editors automatic feedback from revision quality scoring service?
There is a sense that we don't want to encourage editing until it's a more pleasant experience.
Is there a deadline when we can say that editing is pleasant enough to start encouraging it again? Or is this just a way to kick the can down the road, and never get to that destination?
We already have tools for pleasant editing (VE, HotCat, etc.), and there are more entrypoints we can add (e.g. WikiGrok is in progress).
Things evolve, why wouldn't people who've been put off by the current experience try the new one when it comes around?
Once bitten, twice shy?
Drafts or 'universe' site to remove some of the pressure & make the experience more collaborative?

Event Timeline

Jdlrobson created this task.Feb 5 2015, 3:42 PM
Jdlrobson raised the priority of this task from to Needs Triage.
Jdlrobson updated the task description. (Show Details)
Jdlrobson added a subscriber: Jdlrobson.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptFeb 5 2015, 3:42 PM
Qgil triaged this task as Low priority.Feb 5 2015, 9:45 PM
Qgil added a subscriber: Qgil.
matmarex renamed this task from Make edit button bigger to Make edit button more visible.Feb 8 2015, 9:32 PM
matmarex set Security to None.
Qgil added a comment.May 24 2015, 9:14 PM

Just checking, is there someone working on this task in Wikimedia-Hackathon-2015? If not, please remove the project.

Isarra moved this task from Needs triage to Needs Design on the Vector board.Apr 7 2016, 1:36 AM
Qgil removed a subscriber: Qgil.Jan 7 2017, 11:33 AM
Jdlrobson closed this task as Invalid.Jan 15 2020, 7:51 PM

Not an actionable bug right now. As creator I'm declining to reduce the noise in the Vector workboard.

Restricted Application added a subscriber: Liuxinyu970226. · View Herald TranscriptJan 15 2020, 7:51 PM